Agora Java API Reference for Android

Public Attributes | List of all members
io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream Class Reference

The video streams for local video mixing. More...

## Public Attributes
int | remoteUserUid
Constants.VideoSourceType | sourceType
String | imageUrl
int | mediaPlayerId
int | x
int | y
int | width
int | height
int | zOrder
double | alpha
boolean | mirror

## Detailed Description

The video streams for local video mixing.

## Member Data Documentation

## ◆ remoteUserUid

int io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.remoteUserUid

The user ID of the remote user.

Note
  Use this parameter only when the source type is `VIDEO_SOURCE_REMOTE` for local video mixing.

## ◆ sourceType

Constants.VideoSourceType io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.sourceType

The video source type for local video mixing. See `VideoSourceType`.

## ◆ imageUrl

String io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.imageUrl

The file path of local images. Examples:

- Android: `/storage/emulated/0/Pictures/image.png`
  Note
    Use this parameter only when the source type is the image for local video mixing.

## ◆ mediaPlayerId

int io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.mediaPlayerId

(Optional) Media player ID. Use the parameter only when you set `sourceType` to `VIDEO_SOURCE_MEDIA_PLAYER`.

## ◆ x

int io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.x

The relative lateral displacement of the top left corner of the video for local video mixing to the origin (the top left corner of the canvas).

## ◆ y

int io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.y

The relative longitudinal displacement of the top left corner of the captured video to the origin (the top left corner of the canvas).

## ◆ width

int io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.width

The width (px) of the video for local video mixing on the canvas.

## ◆ height

int io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.height

The height (px) of the video for local video mixing on the canvas.

## ◆ zOrder

int io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.zOrder

The number of the layer to which the video for the local video mixing belongs. The value range is [0, 100].

- 0: (Default) The layer is at the bottom.
- 100: The layer is at the top.

## ◆ alpha

double io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.alpha

The transparency of the video for local video mixing. The value range is [0.0, 1.0]. 0.0 indicates that the video is completely transparent, and 1.0 indicates that it is opaque.

## ◆ mirror

boolean io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.mirror

Whether to mirror the video for the local video mixing.

- `true`: Mirror the video for the local video mixing.
- `false`: (Default) Do not mirror the video for the local video mixing.
  Note
    This parameter only takes effect on video source types that are cameras.